Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #94 (closed defect: fixed)

Opened 14 years ago

Last modified 11 years ago

wlanconfig causes "scheduling while atomic"

Reported by: ronni@post.au.dk Assigned to: mrenzmann
Priority: critical Milestone: version 0.9.0 - move to new codebase
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

After compiling, installing, modprobing succesfully, when i wlanconfig ath0 create wlandev wifi0 wlanmode sta dmesg outputs "scheduling while atomic"

Quick info: I am using gentoo I have the vserver kernel (gentoo: sys-kernel/vserver-sources-2.1.0_rc4) (linux 2.6.13) patched with latest reiser4. I have a TRENDnet TEW-503PI pci wireless card (5006XS/AR5414).

Attachments

madwifi-ng-driver-svn-1.0.ebuild (2.4 kB) - added by ronni@post.au.dk on 10/31/05 15:41:53.
ebuild
card.txt (165 bytes) - added by ronni@post.au.dk on 10/31/05 15:42:28.
card
dmesg.txt (3.0 kB) - added by ronni@post.au.dk on 10/31/05 15:42:46.
dmesg
modules.txt (1.5 kB) - added by ronni@post.au.dk on 10/31/05 15:43:10.
modules
madwifi-print-module-status.diff (1.2 kB) - added by svens on 01/21/06 13:45:15.
madwifi-module-autoload.diff (2.4 kB) - added by svens on 01/27/06 08:05:43.

Change History

10/31/05 15:41:53 changed by ronni@post.au.dk

  • attachment madwifi-ng-driver-svn-1.0.ebuild added.

ebuild

10/31/05 15:42:28 changed by ronni@post.au.dk

  • attachment card.txt added.

card

10/31/05 15:42:46 changed by ronni@post.au.dk

  • attachment dmesg.txt added.

dmesg

10/31/05 15:43:10 changed by ronni@post.au.dk

  • attachment modules.txt added.

modules

10/31/05 16:13:39 changed by matt

Does the ebuild actually downloaded the latest sources?

10/31/05 19:07:28 changed by ronni@post.au.dk

Yes - every time you emerge it it fetches the latest sources (i emerge it almost every day, just to see if my problem got fixed).

10/31/05 22:57:33 changed by matt

I think this needs to be looked at by someone with a bit more knowledge than me...

11/01/05 14:55:53 changed by Chris

You need to load the module wlan_scan_sta. Madwifi-ng split out the scanning into there own modules. The same goes if you bring up an AP. You need to have wlan_scan_ap loaded.

11/01/05 15:25:39 changed by br1

  • milestone set to Code: version 0.9.0 - move to new codebase.

11/28/05 12:59:18 changed by mrenzmann

@reporter: Did loading wlan_scan_sta solve the problem?

11/28/05 13:10:17 changed by ronni@post.au.dk

Yes - that was the problem.

11/28/05 13:13:57 changed by anonymous

Ok, thanks for the feedback.

11/28/05 13:14:27 changed by mrenzmann

Hrmpf, the last comment was from me, of course.

11/28/05 13:29:20 changed by mrenzmann

The driver should be fixed, so that it won't run into such problems on systems which don't have CONFIG_KMOD enabled. This probably also applies to other parts of the driver as well (I remember that on one of my systems wlan_wep.o wasn't loaded, which caused WEP configuration to fail).

12/15/05 10:19:37 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

01/17/06 22:52:32 changed by svens

I wonder if we should only try to load scanner modules only on vap creation time. For example, trying to load modules in ieee80211_get_scanners() is a bad idea at the moment because this function can be called (and is called like in this case) while holding a spinlock. (ieee80211_newstate is encapsulated in IEEE80211_VAPS_(UN)LOCK.)

01/21/06 13:45:15 changed by svens

  • attachment madwifi-print-module-status.diff added.

01/21/06 13:46:58 changed by svens

I've made a patch that prevents loading modules while atomic, and prints a warning message when madwifi is unable to load a required scanner module.

01/22/06 09:55:19 changed by mrenzmann

Patch looks good.

01/22/06 10:04:53 changed by mrenzmann

Partly related: #255.

01/23/06 08:47:12 changed by svens

  • status changed from assigned to closed.
  • resolution set to fixed.

Should be fixed as of r1408, please reopen if this is not the case.

01/24/06 07:27:57 changed by mrenzmann

  • status changed from closed to reopened.
  • resolution deleted.

r1408 has been reverted in r1411 - so this issue is back again.

01/27/06 08:05:43 changed by svens

  • attachment madwifi-module-autoload.diff added.

01/27/06 08:06:45 changed by svens

Another approach: tell ieee80211_get_scanner if he's allowed to autoload modules.

02/01/06 06:53:05 changed by kelmo

  • patch_attached set to 1.

02/03/06 06:25:31 changed by mrenzmann

  • status changed from reopened to closed.
  • resolution set to fixed.

Thanks Sven. Patch committed in r1429.

05/16/06 09:08:48 changed by vinodl@aztecsoft.com

  • status changed from closed to reopened.
  • resolution deleted.
  • summary changed from wlanconfig causes "scheduling while atomic" to unable to load wlan_scan_wds.

Hi ,

I am trying configuring WDS with madwifi-ng-r1546-20060511 …

Every time I am creating ath1 in wds mode i.e,

Wlanconfig ath1 create wlandev wifi0 wlanmode wds

I am getting “Unable to load wlan_scan_wds” message in my log file !!

As there is no such file in the entire madwifi-ng source code, is there any probability that, this issue is causing a problem for my WDS setup !!!

Do I need this file, for setting up WDS ??

Then I think, if this file is not there in the entire source, how others managed to enable WDS ??

But I am not too sure, whether with this message in log file, anybody has got his WDS working !!!

Any help will be appreciated J

Thanks,

05/17/06 17:03:58 changed by mrenzmann

  • status changed from reopened to closed.
  • resolution set to fixed.
  • summary changed from unable to load wlan_scan_wds to wlanconfig causes "scheduling while atomic".

Don't get this wrong, but you're behaviour is HIGHLY annoying! Not enough that you keep on flooding the mailing lists with similar questions over and over again, and fail on following advices that are given - now you even hijack totally unrelated and already closed tickets. Tickets are NOT to be used to request support, neither by hijacking existing nor by opening new tickets. STOP IT!